#!/usr/bin/env bash

echo "Copying Systemd units to system directory..."
sudo cp systemd-templates/dns-update.service /etc/systemd/system/
sudo cp systemd-templates/dns-update.timer /etc/systemd/system/
sudo sed -i -e "s/PH_USER/$(whoami)/g" /etc/systemd/system/dns-update.service
sudo sed -i -e "s:PH_DIRECTORY:$(pwd):g" /etc/systemd/system/dns-update.service

echo "Reloading Systemd..."
sudo systemctl daemon-reload
echo "Enabling timer (not starting it, either do it manually or reboot)"
sudo systemctl enable dns-update.timer

echo "Finished install. Exiting..."
exit 0
